import request from "@/utils/request";

// 查询活动申请列表
export function listLevel(query) {
  return request({
    url: "/jn/level/list",
    method: "get",
    params: query,
  });
}

// 查询活动申请详细
export function getLevel(id) {
  return request({
    url: "/jn/level/" + id,
    method: "get",
  });
}

// 新增活动申请
export function addLevel(data) {
  return request({
    url: "/jn/level",
    method: "post",
    data: data,
  });
}

// 修改活动申请
export function updateLevel(data) {
  return request({
    url: "/jn/level",
    method: "put",
    data: data,
  });
}

// 删除活动申请
export function delLevel(id) {
  return request({
    url: "/jn/level/" + id,
    method: "delete",
  });
}
